Subject: Re: [PATCH 1/2] libgit.a: add some UTF-8 handling functions

From: Alexander Litvinov <[email-masked]>
Date: Mon, 25 Dec 2006 10:03:54 +0600

> > > To me, characters are the symbols occupying one "column" each. Bytes
> > > are the 8-bit thingies that you usually use to encode the characters.

You can check man 3 wcwidth:
wcwidth - determine columns needed for a wide character

We possible could convert utf-8 encoded string into wchar_t[] and use that 
function.